int A[1000000];
#include<stdio.h>
main()
{
	long long C;
	int i,j,n;
	int N, T=0;
//	printf("unesi br C ");
	scanf("%lld", &C);
	i=0;
	while (C>0)
	{
		A[i]=C%10;
		C=C/10;
	//	printf("Vrednost za C je %lld\n", C);
		n=i;
		i=i+1;
		//printf("cifra je %d \n", A[i]);
		N=n+1;
	}
//	N=n+1;
//	printf("broj cifara je %d\n", N);
	//for (i=n;i>=0;i--)
//	{
	//	printf("%d ", A[i]);
		
//	}


	if (N<=10){
	 for (i=0;i<N-1;i++){
	 	for(j=i+1; j<N; j++){
	 		if (A[j]==A[i]){
	 			T=1;
			 }
		 }
	 }
		
		
	}
//	if (T==1){
//		printf("Ima istih do deset\n");
//	}
//	else{
//		printf("Nema istih do deset\n");
//	}
	
//	for (i=0;i<=n;i++)
//	{
//		printf("%d ", A[i]);
		
//	}
	for (i=1;i<N-1;i++)
	{
		if (A[i-1]==A[i+1])
		{
		//	printf("susedni su isti \n");
			T=0;
		}
		else 
		{
		//	printf("nema istih \n");
		}
	}
	if (T==0){
		printf("%d", 1);
		
	}
	return 0;
	
}